# -*- encoding: utf-8 -*-
# stub: peml 0.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "peml".freeze
  s.version = "0.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["s-edwards".freeze]
  s.date = "2019-06-09"
  s.description = "The Programming Exercise Markup Language (PEML)\nis intended to be a simple, easy format for CS and IT instructors of all kinds\n(college, community college, high school, whatever) to describe programming\nassignments and activities. We want it to be so easy (and obvious) to use that\ninstructors won't see it as a technological or notational barrier to\nexpressing their assignments.\n\nWe intend for this format to be something that authors of automated grading\ntools can adopt, so they can provide a very easy, low-energy onboarding path\nfor existing instructors to get programming activities into such tools. As a\nresult, this notation leans heavily on supporting authors and streamlining\ncommon cases, even if this may require more work on the part of tool\ndevelopers--the goal is to make it super easy for authors of programming\nactivities, not to fit into a specific auto-grader or simplify tasks for\ntool writers.\n\nFor more details, see the PEML website.".freeze
  s.email = ["edwards@cs.vt.edu".freeze]
  s.executables = ["console".freeze, "peml".freeze, "setup".freeze]
  s.files = ["bin/console".freeze, "bin/peml".freeze, "bin/setup".freeze]
  s.homepage = "https://cssplice.github.io/peml/".freeze
  s.licenses = ["Apache License 2.0".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Provides parsing of PEML, the Programming Exercise Markup Language. Also provides for parsing of PEMLtest, the testing DSL provided as part of PEML, as well as transformers to convert PEMLtest descriptions into executable tests for Java and other programming languages.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.16"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_runtime_dependency(%q<parslet>.freeze, ["~> 1.8"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.16"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_dependency(%q<parslet>.freeze, ["~> 1.8"])
  end
end
